<?php

// POST LIKES
    require_once( get_stylesheet_directory() . '/js/post_likes.php' );
    
// THEME SETTINGS
    require_once( get_stylesheet_directory() . '/theme-settings.php' );
    

// THUMBNAILS, IMAGE SIZES
    add_theme_support( 'post-thumbnails' );
    
    add_image_size( 'home', 740, 300, true);
    add_image_size( 'excerpt', 240, 100, true);
    
    
// MENUS
	register_nav_menus( array(
		'main'	=> 'Primary Menu',
	) );
    
    
// REMOVE THUMBNAILS (FOR SAVING SPACE)
	function remove_default_image_sizes( $sizes) {
        unset( $sizes['large']);
        //unset( $sizes['thumbnail']);
        unset( $sizes['medium']);
        unset( $sizes['medium_large']);
        unset( $sizes['1536x1536']);
        unset( $sizes['2048x2048']);
        return $sizes;
    }
    add_filter('intermediate_image_sizes_advanced', 'remove_default_image_sizes');
    
    add_action( 'after_setup_theme', 'remove_images');
    function remove_images(){
	    remove_image_size( '1536x1536' );
	    remove_image_size( '2048x2048' );
    }
	
	
// WIDGETS

	register_sidebar(array(	
	        'name' => 'Left sidebar (Aemy Custom Design)',
            'id' => 'sidenav',
            'description' => 'Sidebar for the layout by Aemy Design',
            'before_widget' => '<div class="theme_sidebarleft"><div class="theme_sidebar_titleleft">',
            'after_widget' => '</div></div>',
            'before_title' => '<span>',
            'after_title' => '</span></div><div class="theme_sidebar_contentleft">',
'after_widget' => '</div><div class="theme_sidebar_footerleft"></div>',));

    function register_my_widgets(){
        register_sidebar( array(
	        'name' => 'Right sidebar (Aemy Custom Design)',
            'id' => 'homepage-sidebar',
            'description' => 'Sidebar for the layout by Aemy Design',
            'before_widget' => '<div class="theme_sidebar"><div class="theme_sidebar_title">',
            'after_widget' => '</div></div>',
            'before_title' => '<span>',
            'after_title' => '</span></div><div class="theme_sidebar_content">',
'after_widget' => '</div><div class="theme_sidebar_footer"></div>',));
    }
    add_action( 'widgets_init', 'register_my_widgets' );
    
    

add_action( 'wp_enqueue_scripts', 'edcustom8_scripts' );
    function edcustom8_scripts() {
        // SLICKNAV MENU
        wp_register_script( 'edcustom8_mobilemenu1', get_stylesheet_directory_uri() . '/js/adaptive_menu_slicknav/jquery.slicknav.js', '', null, true );
        wp_register_script( 'edcustom8_mobilemenu2', get_stylesheet_directory_uri() . '/js/adaptive_menu_slicknav/slicknav.js', '', null, true );
        
        wp_enqueue_script( 'edcustom8_mobilemenu1' );
        wp_enqueue_script( 'edcustom8_mobilemenu2' );
        
        wp_localize_script( 'edcustom8_mobilemenu1', 'slickmenu', array(
		    'openmenu' => __( ' Menü  ', 'edcustom8' ),
		) ); 
		
    }


	register_sidebar(array(
	        'name' => 'Header widget (Aemy Custom Design)',
'id'        => 'header-widget',
'description' => 'header widget area',
'before_widget' => '<div id="header-widget">',
'after_widget' => '</div>',
'before_title' => '<h2>',
'after_title' => '</h2>',
));

add_action( 'widgets_init', 'arphabet_widgets_init' );


register_sidebar(array(
'name' => 'Footer Widget 1 (Aemy Custom Design)',
'id'        => 'footer-1',
'description' => 'First footer widget area',
'before_widget' => '<div id="footer-widget1">',
'after_widget' => '</div>',
'before_title' => '<h2>',
'after_title' => '</h2>',
));

register_sidebar(array(
'name' => 'Footer Widget 2 (Aemy Custom Design)',
'id'        => 'footer-2',
'description' => 'Second footer widget area',
'before_widget' => '<div id="footer-widget2">',
'after_widget' => '</div>',
'before_title' => '<h2>',
'after_title' => '</h2>',
));

register_sidebar(array(
'name' => 'Footer Widget 3 (Aemy Custom Design)',
'id'        => 'footer-3',
'description' => 'Second footer widget area',
'before_widget' => '<div id="footer-widget3">',
'after_widget' => '</div>',
'before_title' => '<h2>',
'after_title' => '</h2>',
));

register_sidebar(array(
'name' => 'Footer Widget 4 (Aemy Custom Design)',
'id'        => 'footer-4',
'description' => 'Second footer widget area',
'before_widget' => '<div id="footer-widget4">',
'after_widget' => '</div>',
'before_title' => '<h2>',
'after_title' => '</h2>',
));


// SHORTEN AN EXCERPT
    function get_excerpt( $count ) {
        $permalink = get_permalink($post->ID);
        $excerpt = get_the_content();
        $excerpt = strip_tags($excerpt);
        $excerpt = substr($excerpt, 0, $count);
        $excerpt = substr($excerpt, 0, strripos($excerpt, " "));
        $excerpt = $excerpt.'...';
        return $excerpt;
    }



// SHORTEN POST TITLE
    function trim_title_chars($count, $after) {
        $title = get_the_title();
        if (mb_strlen($title) > $count) $title = mb_substr($title,0,$count);
        else $after = '';
        echo $title . $after;
    }
 
function wp_pagination() {
global $wp_query;
$big = 999999999;
$page_format = paginate_links( array(
    'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
    'format' => '?paged=%#%',
    'current' => max( 1, get_query_var('paged') ),
    'total' => $wp_query->max_num_pages,
    'type'  => 'array'
) );
if( is_array($page_format) ) {
            $paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
            echo "<div class='pagination'>";
            foreach ( $page_format as $page ) {
                    echo "$page";
            }
           echo "</div>\n";
}
}

     
    
// SHOW PRIMARY CATEGORY
function primary_category() {$category = get_the_category(); $useCatLink = true;if ($category){ $category_display = ''; $category_link = '';if ( class_exists('WPSEO_Primary_Term') ){$wpseo_primary_term = new WPSEO_Primary_Term( 'category', get_the_id() );$wpseo_primary_term = $wpseo_primary_term->get_primary_term();$term = get_term( $wpseo_primary_term );if (is_wp_error($term)) {$category_display = $category[0]->name;$category_link = get_category_link( $category[0]->term_id );} else {$category_display = $term->name;$category_link = get_category_link( $term->term_id );} } else {$category_display = $category[0]->name;$category_link = get_category_link( $category[0]->term_id );}if ( !empty($category_display) ){ if ( $useCatLink == true && !empty($category_link) ){ echo ''; echo ' '.($category_display).' '; echo '';} }} }

?>